"use strict";

exports.__esModule = true;
exports.moveFiles = moveFiles;

var _fastq = require("fastq");

var _fsExtra = require("fs-extra");

var _path = require("path");

function copyFile({
  from,
  to
}) {
  return (0, _fsExtra.copy)(from, to);
}

async function moveFiles({
  files,
  root
}) {
  const queue = (0, _fastq.promise)(copyFile, 2);
  const fileMap = {};
  const originalsDir = (0, _path.join)(root, `public`, `static`);

  for (const file of files) {
    console.log(file);
    queue.push({
      from: file.absolutePath,
      to: (0, _path.join)(originalsDir, file.internal.contentDigest, file.base)
    });
    fileMap[file.absolutePath] = `${file.internal.contentDigest}/${file.base}`;
  }

  await queue.drained();
  return fileMap;
}